# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KAboutData Class Reference

This class is used to store information about a program. Holds information needed by the "About" box and other classes. More...

`#include <kaboutdata.h>`

Collaboration diagram for KAboutData:

[legend]
List of all members.

## Public Types

enum | LicenseKey { License_Custom = -2, License_File = -1, License_Unknown = 0, License_GPL = 1, License_GPL_V2 = 1, License_LGPL = 2, License_LGPL_V2 = 2, License_BSD = 3, License_Artistic = 4, License_QPL = 5, License_QPL_V1_0 = 5 }
| Descibes the license of the software. More...

## Public Member Functions

| KAboutData (const char *appName, const char *programName, const char *version, const char *shortDescription=0, int licenseType=License_Unknown, const char *copyrightStatement=0, const char *text=0, const char *homePageAddress=0, const char *bugsEmailAddress="submit @bugs.kde.org")
| Constructor.
void | addAuthor (const char *name, const char *task=0, const char *emailAddress=0, const char *webAddress=0)
| Defines an author.
void | addCredit (const char *name, const char *task=0, const char *emailAddress=0, const char *webAddress=0)
| Defines a person that deserves credit.
void | setTranslator (const char *name, const char *emailAddress)
| Sets the name of the translator of the gui.
void | setLicenseText (const char *license)
| Defines a licence text.
void | setLicenseTextFile (const QString &file)
| Defines a licence text.
const char * | appName () const
| Returns the application's internal name.
QString | programName () const
| Returns the translated program name.
QString | version () const
| Returns the program's version.
QString | shortDescription () const
| Returns a short, translated description.
QString | homepage () const
| Returns the application homepage.
QString | bugAddress () const
| Returns the email address for bugs.
const QValueList< KAboutPerson > | authors () const
| Returns a list of authors.
const QValueList< KAboutPerson > | credits () const
| Returns a list of persons who contributed.
const QValueList< KAboutTranslator > | translators () const
| Returns a list of translators.
QString | otherText () const
| Returns a translated, free form text.
QString | license () const
| Returns the license.
QString | copyrightStatement () const
| Returns the copyright statement.

## Static Public Member Functions

QString | aboutTranslationTeam ()
| Returns a message about the translation team.

## Detailed Description

This class is used to store information about a program. Holds information needed by the "About" box and other classes.

It can store such values as version number, program name, home page, email address for bug reporting, multiple authors and contributors (using KAboutPerson), license and copyright information.

Currently, the values set here are shown by the "About" box (see KAboutDialog), used by the bug report dialog (see KBugReport), and by the help shown on command line (see KCmdLineArgs).

Author:
  Espen Sand (espen@kde.org), David Faure (faure@kde.org)

Version:
  Id
    kaboutdata.h,v 1.26.2.1 2003/04/25 18:14:50 waba Exp

Definition at line 167 of file kaboutdata.h.

## Member Enumeration Documentation

enum KAboutData::LicenseKey

| Descibes the license of the software. Definition at line 173 of file kaboutdata.h.

## Constructor & Destructor Documentation

KAboutData::KAboutData | ( | const char * | appName,
|  | const char * | programName,
|  | const char * | version,
|  | const char * | shortDescription = 0,
|  | int | licenseType = License_Unknown,
|  | const char * | copyrightStatement = 0,
|  | const char * | text = 0,
|  | const char * | homePageAddress = 0,
|  | const char * | bugsEmailAddress = "submit @bugs.kde.org"
| ) |

Constructor.

Parameters:

  appName | The program name used internally. Example: "kedit"
  programName | A displayable program name string. This string should be marked for translation. Example: I18N_NOOP("KEdit")
  version | The program version string.
  shortDescription | A short description of what the program does. This string should be marked for translation. Example: I18N_NOOP("A simple text editor.")
  licenseType | The license identifier. Use setLicenseText if you use a license not predefined here.
  copyrightStatement | A copyright statement, that can look like this: "(c) 1999-2000, Name". The string specified here is not modified in any manner. The author information from addAuthor is not used.
  text | Some free form text, that can contain any kind of information. The text can contain newlines. This string should be marked for translation.
  homePageAddress | The program homepage string. Start the address with "http://". "http://some.domain" is is correct, "some.domain" is not.
  bugsEmailAddress | The bug report email address string. This defaults to the kde.org bug system.

Definition at line 87 of file kaboutdata.cpp.

## Member Function Documentation

void KAboutData::addAuthor | ( | const char * | name,
|  | const char * | task = 0,
|  | const char * | emailAddress = 0,
|  | const char * | webAddress = 0
| ) |

Defines an author.

You can call this function as many times you need. Each entry is appended to a list. The person in the first entry is assumed to be the leader of the project.

Parameters:

  name | The developer's name in UTF-8 encoding.
  task | What the person is responsible for. This text can contain newlines. It should be marked for translation like this: I18N_NOOP("Task description..."). Can be 0.
  emailAddress | An Email address where the person can be reached. Can be 0.
  webAddress | The person's homepage or a relevant link. Start the address with "http://". "http://some.domain" is is correct, "some.domain" is not. Can be 0.

Definition at line 124 of file kaboutdata.cpp.

References QValueList< KAboutPerson >::append(), and KStdAction::name().

void KAboutData::addCredit | ( | const char * | name,
|  | const char * | task = 0,
|  | const char * | emailAddress = 0,
|  | const char * | webAddress = 0
| ) |

Defines a person that deserves credit.

You can call this function as many times you need. Each entry is appended to a list.

Parameters:

  name | The person's name in UTF-8 encoding.
  task | What the person has done to deserve the honor. The text can contain newlines. It should be marked for translation like this: I18N_NOOP("Task description...") Can be 0.
  emailAddress | An Email address when the person can be reached. Can be 0.
  webAddress | The person's homepage or a relevant link. Start the address with "http://". "http://some.domain" is is correct, "some.domain" is not. Can be 0.

Definition at line 131 of file kaboutdata.cpp.

References QValueList< KAboutPerson >::append(), and KStdAction::name().

void KAboutData::setTranslator | ( | const char * | name,
|  | const char * | emailAddress
| ) |

Sets the name of the translator of the gui.

Since this depends on the language, just use a dummy text marked for translation.

For example:

     setTranslator(I18N_NOOP("_: NAME OF TRANSLATORS\nYour names")
     ,I18N_NOOP("_: EMAIL OF TRANSLATORS\nYour emails"));

The translator can then translate this dummy text with his name or with a list of names separated with ",". If there is no translation or the application is used with the default language, this function call is ignored.

Note: If you are using the default KDE automake environment, there is no need to use this function, because the two default strings above are added to the applications po file automatically.

Parameters:

  name | the name of the translator
  emailAddress | the email address of the translator

See also:
  KAboutTranslator

Definition at line 138 of file kaboutdata.cpp.

References KStdAction::name().

void KAboutData::setLicenseText | ( | const char * | license | ) |

Defines a licence text.

The text will be translated if it got marked for translations with the I18N_NOOP() macro.

Example:

     setLicenseText( I18N_NOOP("This is my license"));

NOTE: No copy of the text is made.

Parameters:

  license | The license text in utf8 encoding.

Definition at line 145 of file kaboutdata.cpp.

void KAboutData::setLicenseTextFile | ( | const QString & | file | ) |

Defines a licence text.

Parameters:

  file | File containing the license text.

Definition at line 152 of file kaboutdata.cpp.

References QFile::encodeName().

const char * KAboutData::appName | ( |  | ) | const

Returns the application's internal name.

Returns:
  the internal program name.

Definition at line 160 of file kaboutdata.cpp.

Referenced by KUniqueApplication::start().

QString KAboutData::programName | ( |  | ) | const

Returns the translated program name.

Returns:
  the program name (translated).

Definition at line 166 of file kaboutdata.cpp.

Referenced by KApplication::caption(), and KCrash::defaultCrashHandler().

QString KAboutData::version | ( |  | ) | const

Returns the program's version.

Returns:
  the version string.

Definition at line 175 of file kaboutdata.cpp.

References QString::fromLatin1().

Referenced by KCrash::defaultCrashHandler().

QString KAboutData::shortDescription | ( |  | ) | const

Returns a short, translated description.

Returns:
  the short description (translated). Can be QString::null if not set.

Definition at line 181 of file kaboutdata.cpp.

Referenced by KCmdLineArgs::usage().

QString KAboutData::homepage | ( |  | ) | const

Returns the application homepage.

Returns:
  the application homepage URL. Can be QString::null if not set.

Definition at line 190 of file kaboutdata.cpp.

References QString::fromLatin1().

QString KAboutData::bugAddress | ( |  | ) | const

Returns the email address for bugs.

Returns:
  the email address where to report bugs.

Definition at line 196 of file kaboutdata.cpp.

References QString::fromLatin1().

Referenced by KCrash::defaultCrashHandler().

const QValueList< KAboutPerson > KAboutData::authors | ( |  | ) | const

Returns a list of authors.

Returns:
  author information (list of persons).

Definition at line 202 of file kaboutdata.cpp.

const QValueList< KAboutPerson > KAboutData::credits | ( |  | ) | const

Returns a list of persons who contributed.

Returns:
  credit information (list of persons).

Definition at line 208 of file kaboutdata.cpp.

const QValueList< KAboutTranslator > KAboutData::translators | ( |  | ) | const

Returns a list of translators.

Returns:
  translators information (list of persons)

Definition at line 214 of file kaboutdata.cpp.

References QValueList::append(), QString::fromUtf8(), KStdAction::name(), and QStringList::split().

QString KAboutData::aboutTranslationTeam | ( |  | ) | `[static]`

Returns a message about the translation team.

Returns:
  a message about the translation team

Definition at line 263 of file kaboutdata.cpp.

QString KAboutData::otherText | ( |  | ) | const

Returns a translated, free form text.

Returns:
  the free form text (translated). Can be QString::null if not set.

Definition at line 273 of file kaboutdata.cpp.

QString KAboutData::license | ( |  | ) | const

Returns the license.

If the licenseType argument of the constructor has been used, any text defined by setLicenseText is ignored, and the standard text for the chosen license will be returned.

Returns:
  The license text.

Definition at line 283 of file kaboutdata.cpp.

References QString::arg(), QFile::decodeName(), QString::isEmpty(), QFile::open(), and QTextStream::read().

QString KAboutData::copyrightStatement | ( |  | ) | const

Returns the copyright statement.

Returns:
  the copyright statement. Can be QString::null if not set.

Definition at line 342 of file kaboutdata.cpp.

The documentation for this class was generated from the following files:

- kaboutdata.h
- kaboutdata.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:47:09 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001